lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erick Erickson <erickerick...@gmail.com>
Subject Re: Project configuration issue
Date Sat, 31 Jan 2015 03:04:11 GMT
Why not fire the "ant eclipse" target and open the resulting Eclipse
config? You might take another look at the "how to contribute"  page, near
the bottom are links to setting up in Eclipse and IntelliJ that should give
you some pointers. I develop with IntelliJ so I don't have detailed
knowledge of Eclipse, but quite a number of contributors do use Eclipse so
it's well supported.

Do note that I find it easier to attach to a running Solr from the IDE
rather than run the whole thing in the IDE, but that may just be because
that's the first thing that worked for me...

Best,
Erick

On Fri, Jan 30, 2015 at 6:30 PM, Guido Tagliavini Ponce <
t-gupon@microsoft.com> wrote:

> Hi!
>
> I've downloaded Lucene's 4.8.0 source code and attempted to set up a
> project in Eclipse, but I couldn't make it work. Let me describe all the
> steps I have taken:
>
>
> 1)      Downloaded Ant 1.8.2. Added the corresponding paths to the
> ANT_HOME and PATH variables.
>
> 2)      Downloaded Ivy 2.0.0. Added the ivy-2.0.0.jar to the lib folder in
> Ant's directory.
>
> 3)      Downloaded Lucene 4.8.0 zip with the source code.
>
> 4)      Created an empty Java project.
>
> 5)      Imported the source file from Lucene's zip file (through the
> option Archive file).
>
> 6)      In Project/Properties/Builders, added an Ant builder. Selected the
> Buildfile build.xml from the src's source directory. Also selected that
> directory as the Base Directory.
>
> Then tried to build all the project, but it fails throwing the following
> output:
>
> Buildfile: E:\workspace\lucene-4.8.0\lucene-4.8.0\build.xml
>
> check-lucene-core-uptodate:
>
> compile-lucene-core:
>
> ivy-availability-check:
>
> ivy-fail:
>
> ivy-configure:
>
> BUILD FAILED
> E:\workspace\lucene-4.8.0\lucene-4.8.0\common-build.xml:693: The following
> error occurred while executing this line:
> E:\workspace\lucene-4.8.0\lucene-4.8.0\common-build.xml:379:
> java.lang.ClassCastException:
> org.eclipse.osgi.internal.framework.EquinoxConfiguration$1 cannot be cast
> to java.lang.String
>
> I also tried with the latest versions of Ant and Ivy, but got the same
> result.
>
> Since I never configured a big project like this one, I don't have a clue
> about what am I doing wrong. Could someone explain me how to configure it
> please?
>
> Thanks in advance,
>
> Guido
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message